Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.learning
Class MultiSegmentationEvaluatorACRF

    java.lang.Object
      cc.mallet.grmm.learning.ACRFEvaluator
          cc.mallet.grmm.learning.MultiSegmentationEvaluatorACRF

    public class MultiSegmentationEvaluatorACRF

extends ACRFEvaluator

Nested Class Summary
`static class` | `MultiSegmentationEvaluatorACRF.TestResults`

Constructor Summary
`MultiSegmentationEvaluatorACRF(java.lang.Object[] segmentStartTags, java.lang.Object[] segmentContinueTags)` This class WILL NOT WORK if segmentStartTags and segmentContinueTags are the same!!
`MultiSegmentationEvaluatorACRF(java.lang.Object[] segmentStartTags, java.lang.Object[] segmentContinueTags, boolean showViterbi)` This class WILL NOT WORK if segmentStartTags and segmentContinueTags are the same!!
`MultiSegmentationEvaluatorACRF(java.lang.Object[] segmentStartTags, java.lang.Object[] segmentContinueTags, int slice)`

Method Summary
`boolean` | `evaluate(ACRF acrf, int iter, InstanceList training, InstanceList validation, InstanceList testing)` Evalutes the model in the middle of training.
`void` | `test(InstanceList gold, java.util.List returned, java.lang.String description)`

Methods inherited from class cc.mallet.grmm.learning.ACRFEvaluator
`makeOutputFile, setNumIterToSkip, setNumIterToWait, setOutputPrefix, shouldDoEvaluate, test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiSegmentationEvaluatorACRF

    public MultiSegmentationEvaluatorACRF(java.lang.Object[] segmentStartTags,
                                          java.lang.Object[] segmentContinueTags,
                                          boolean showViterbi)

  This class WILL NOT WORK if segmentStartTags and segmentContinueTags are the same!!

### MultiSegmentationEvaluatorACRF

    public MultiSegmentationEvaluatorACRF(java.lang.Object[] segmentStartTags,
                                          java.lang.Object[] segmentContinueTags)

  This class WILL NOT WORK if segmentStartTags and segmentContinueTags are the same!!

### MultiSegmentationEvaluatorACRF

    public MultiSegmentationEvaluatorACRF(java.lang.Object[] segmentStartTags,
                                          java.lang.Object[] segmentContinueTags,
                                          int slice)

Method Detail

### evaluate

    public boolean evaluate(ACRF acrf,
                            int iter,
                            InstanceList training,
                            InstanceList validation,
                            InstanceList testing)

  Description copied from class: `ACRFEvaluator`
  Evalutes the model in the middle of training.

  Specified by:
    `evaluate` in class `ACRFEvaluator`
  Parameters:
    `acrf` - Model tha is being trained.
    `iter` - How many iterations have been completed.
    `training` - Training set.
    `validation` - Validation set; may be null.
    `testing` - Testing set; maybe null.
  Returns:
    Whether to continue training. If return is false, training should be be stopped.

### test

    public void test(InstanceList gold,
                     java.util.List returned,
                     java.lang.String description)

  Specified by:
    `test` in class `ACRFEvaluator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD